Package com.sap.ai.sdk.orchestration

# Record Class ImageItem

java.lang.Object
java.lang.Record
com.sap.ai.sdk.orchestration.ImageItem

Record Components:
  `imageUrl` - the URL of the image
  `detailLevel` - the detail level of the image (optional)

All Implemented Interfaces:
  `ContentItem`

public record ImageItem(@Nonnull String imageUrl, @Nonnull ImageItem.DetailLevel detailLevel) extends Record implements ContentItem
Represents an image item in a `MessageContent` object.

Since:
  1.3.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ImageItem.DetailLevel`
  The detail level of the image.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageItem(String imageUrl)`
  Creates a new image item with the given image URL.
  `ImageItem(String imageUrl, ImageItem.DetailLevel detailLevel)`
  Creates an instance of a `ImageItem` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImageItem.DetailLevel`
  `detailLevel()`
  Returns the value of the `detailLevel` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `imageUrl()`
  Returns the value of the `imageUrl` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImageItem

    public ImageItem(@Nonnull String imageUrl)
    Creates a new image item with the given image URL.
    Parameters:
      `imageUrl` - the URL of the image
    Since:
      1.3.0

  - ### ImageItem

    public ImageItem(@Nonnull String imageUrl, @Nonnull ImageItem.DetailLevel detailLevel)
    Creates an instance of a `ImageItem` record class.
    Parameters:
      `imageUrl` - the value for the `imageUrl` record component
      `detailLevel` - the value for the `detailLevel` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### imageUrl

    @Nonnull public String imageUrl()
    Returns the value of the `imageUrl` record component.
    Returns:
      the value of the `imageUrl` record component

  - ### detailLevel

    @Nonnull public ImageItem.DetailLevel detailLevel()
    Returns the value of the `detailLevel` record component.
    Returns:
      the value of the `detailLevel` record component